org.springframework.jms

## Class JmsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DestinationResolutionException, IllegalStateException, InvalidClientIDException, InvalidDestinationException, InvalidSelectorException, JmsSecurityException, ListenerExecutionFailedException, MessageConversionException, MessageEOFException, MessageFormatException, MessageNotReadableException, MessageNotWriteableException, ReplyFailureException, ResourceAllocationException, SynchedLocalTransactionFailedException, TransactionInProgressException, TransactionRolledBackException, UncategorizedJmsException

      public abstract class JmsException
      extends NestedRuntimeException

  Base class for exception thrown by the framework whenever it encounters a problem related to JMS.
  Since:
    1.1
  Author:
    Mark Pollack, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmsException(String msg)` Constructor that takes a message.
    `JmsException(String msg, Throwable cause)` Constructor that takes a message and a root cause.
    `JmsException(Throwable cause)` Constructor that takes a plain root cause, intended for subclasses mirroring corresponding `javax.jms` exceptions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()` Convenience method to get the vendor specific error code if the root cause was an instance of JMSException.
    `String` | `getMessage()` Return the detail message, including the message from the linked exception if there is one.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JmsException

          public JmsException(String msg)

      Constructor that takes a message.
      Parameters:
        `msg` - the detail message

    - #### JmsException

          public JmsException(String msg,
                              @Nullable
                              Throwable cause)

      Constructor that takes a message and a root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the cause of the exception. This argument is generally expected to be a proper subclass of `JMSException`, but can also be a JNDI NamingException or the like.

    - #### JmsException

          public JmsException(@Nullable
                              Throwable cause)

      Constructor that takes a plain root cause, intended for subclasses mirroring corresponding `javax.jms` exceptions.
      Parameters:
        `cause` - the cause of the exception. This argument is generally expected to be a proper subclass of `JMSException`.

  - ### Method Detail

    - #### getErrorCode

          @Nullable
          public String getErrorCode()

      Convenience method to get the vendor specific error code if the root cause was an instance of JMSException.
      Returns:
        a string specifying the vendor-specific error code if the root cause is an instance of JMSException, or `null`

    - #### getMessage

          @Nullable
          public String getMessage()

      Return the detail message, including the message from the linked exception if there is one.
      Overrides:
        `getMessage` in class `NestedRuntimeException`
      See Also:
        `JMSException.getLinkedException()`